nxt.http.callers

## Class ScheduleCurrencyBuyCall

- java.lang.Object
- - nxt.http.APICall.Builder<T>
  - - nxt.http.callers.CreateTransactionCallBuilder<ScheduleCurrencyBuyCall>
    - - nxt.http.callers.ScheduleCurrencyBuyCall

-     public class ScheduleCurrencyBuyCall
      extends CreateTransactionCallBuilder<ScheduleCurrencyBuyCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScheduleCurrencyBuyCall` | `adminPassword(java.lang.String adminPassword)`
    `static ScheduleCurrencyBuyCall` | `create()`
    `ScheduleCurrencyBuyCall` | `currency(long currency)`
    `ScheduleCurrencyBuyCall` | `currency(java.lang.String currency)`
    `ScheduleCurrencyBuyCall` | `offerIssuer(boolean offerIssuer)`
    `ScheduleCurrencyBuyCall` | `prunableAttachmentJSON(java.lang.String prunableAttachmentJSON)`
    `ScheduleCurrencyBuyCall` | `rateNQT(long rateNQT)`
    `ScheduleCurrencyBuyCall` | `transactionBytes(byte[] transactionBytes)`
    `ScheduleCurrencyBuyCall` | `transactionBytes(java.lang.String transactionBytes)`
    `ScheduleCurrencyBuyCall` | `transactionJSON(java.lang.String transactionJSON)`
    `ScheduleCurrencyBuyCall` | `units(long units)`

    - ### Methods inherited from class nxt.http.callers.CreateTransactionCallBuilder

      `broadcast, compressMessageToEncrypt, compressMessageToEncryptToSelf, deadline, ecBlockHeight, ecBlockId, ecBlockId, encryptedMessageData, encryptedMessageData, encryptedMessageIsPrunable, encryptedMessageNonce, encryptedMessageNonce, encryptToSelfMessageData, encryptToSelfMessageData, encryptToSelfMessageNonce, encryptToSelfMessageNonce, feeNQT, message, messageIsPrunable, messageIsText, messageToEncrypt, messageToEncryptIsText, messageToEncryptToSelf, messageToEncryptToSelfIsText, phased, phasingFinishHeight, phasingHashedSecret, phasingHashedSecretAlgorithm, phasingHolding, phasingHolding, phasingLinkedFullHash, phasingLinkedFullHash, phasingMinBalance, phasingMinBalanceModel, phasingQuorum, phasingVotingModel, phasingWhitelisted, publicKey, publicKey, recipientPublicKey, recipientPublicKey, referencedTransactionFullHash, referencedTransactionFullHash, secretPhrase`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ScheduleCurrencyBuyCall create()

    - #### transactionJSON

          public ScheduleCurrencyBuyCall transactionJSON(java.lang.String transactionJSON)

    - #### currency

          public ScheduleCurrencyBuyCall currency(java.lang.String currency)

    - #### currency

          public ScheduleCurrencyBuyCall currency(long currency)

    - #### units

          public ScheduleCurrencyBuyCall units(long units)

    - #### transactionBytes

          public ScheduleCurrencyBuyCall transactionBytes(java.lang.String transactionBytes)

    - #### transactionBytes

          public ScheduleCurrencyBuyCall transactionBytes(byte[] transactionBytes)

    - #### prunableAttachmentJSON

          public ScheduleCurrencyBuyCall prunableAttachmentJSON(java.lang.String prunableAttachmentJSON)

    - #### adminPassword

          public ScheduleCurrencyBuyCall adminPassword(java.lang.String adminPassword)

    - #### offerIssuer

          public ScheduleCurrencyBuyCall offerIssuer(boolean offerIssuer)

    - #### rateNQT

          public ScheduleCurrencyBuyCall rateNQT(long rateNQT)